# MPI_Error_string

## NAME

MPI_Error_string − Returns a string for a given error code.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Error_string(int errorcode, char *string, int *resultlen)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_ERROR_STRING(ERRORCODE, STRING, RESULTLEN, IERROR)

| INTEGER |  |  |  | ERRORCODE, RESULTLEN, IERROR
| CHARACTER*(*) |  |  |  | STRING

## C++ Syntax

#include <mpi.h>
void Get_error_string(int errorcode, char* name, int& resultlen)

## INPUT PARAMETER

| errorcode |  | Error code returned by an MPI routine or an MPI error class.

## OUTPUT PARAMETERS

| string |  | Text that corresponds to the errorcode. |
| resultlen |  | Length of string. |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

Returns the error string associated with an error code or class. The argument string must represent storage that is at least MPI_MAX_ERROR_STRING characters long.

The number of characters actually written is returned in the output argument, resultlen.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Error_class

MPI API Index